Page MenuHomePhabricator

Internal error in ApiFormatXml exception in centralnoticequerycampaign
Closed, ResolvedPublicPRODUCTION ERROR

Description

/w/api.php?action=centralnoticequerycampaign&format=json&campaign=Plea_US Exception from line 2012 of /usr/local/apache/common-local/php-1.24wmf13/includes/api/ApiBase.php: Internal error in ApiFormatXml::recXmlPrint: (centralnoticequerycampaign, ...) has integer keys without _element value. Use ApiResult::setIndexedTagName().
#0 /usr/local/apache/common-local/php-1.24wmf13/includes/api/ApiFormatXml.php(180): ApiBase::dieDebug('ApiFormatXml::r...', '(centralnoticeq...')
#1 /usr/local/apache/common-local/php-1.24wmf13/includes/api/ApiFormatXml.php(195): ApiFormatXml::recXmlPrint('centralnoticequ...', Array, 0)
#2 /usr/local/apache/common-local/php-1.24wmf13/includes/api/ApiFormatXml.php(73): ApiFormatXml::recXmlPrint('api', Array, -2)
#3 /usr/local/apache/common-local/php-1.24wmf13/includes/api/ApiMain.php(1073): ApiFormatXml->execute()
#4 /usr/local/apache/common-local/php-1.24wmf13/includes/api/ApiMain.php(919): ApiMain->printResult(false)
#5 /usr/local/apache/common-local/php-1.24wmf13/includes/api/ApiMain.php(363): ApiMain->executeAction()
#6 /usr/local/apache/common-local/php-1.24wmf13/includes/api/ApiMain.php(334): ApiMain->executeActionWithErrorHandling()
#7 /usr/local/apache/common-local/php-1.24wmf13/api.php(85): ApiMain->execute()
#8 /usr/local/apache/common-local/w/api.php(3): require('/usr/local/apac...')


Version: unspecified
Severity: normal

Details

Reference
bz68430

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:42 AM
bzimport set Reference to bz68430.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Jul 23 2014, 9:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 8:09 AM
Krinkle closed this task as Resolved.Oct 27 2018, 9:00 PM
Krinkle claimed this task.
Krinkle edited projects, added Wikimedia-production-error; removed good first task.
Krinkle added a subscriber: Krinkle.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM